%define realname glitz-sharp
%define ver_major 0.0

Summary: C# Glitz binding
Name: lib%{realname}
Version: %ver_major.0
Release: alt1.git20070113
License: MIT
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Url: http://www.ndesk.org/
Source: %realname-%ver_major.tar.bz2
Source1: NDesk.Glitz.dll.config
Source2: NDesk.Glitz.pkgconfig
Patch1: %name-unsafe.patch

# Automatically added by buildreq on Mon Jan 14 2008
BuildRequires: libgcc libgtk-sharp2 mono-mcs libglitz-devel

BuildRequires: rpm-build-mono
BuildRequires: /proc

%description
glitz-sharp is a .NET Glitz binding

%prep
%setup -n %realname-%ver_major -q
%patch1 -p1

%build
%make CSFLAGS=" -debug -unsafe"

%install
%__mkdir_p %buildroot%_monodir/NDesk.Glitz
gacutil -i src/NDesk.Glitz.dll -root %buildroot/usr/lib
dll=$(find %buildroot/usr/lib -type f -iname NDesk.Glitz.dll | sed -e "s,%buildroot,,g")
ln -sf $dll %buildroot%_monodir/NDesk.Glitz/NDesk.Glitz.dll

%__mkdir_p %buildroot%_pkgconfigdir
%__install -m 644 %SOURCE2 %buildroot%_pkgconfigdir/glitz-sharp.pc

%files
%doc COPYING
%_monodir/NDesk.Glitz
%_monogacdir/*
%_pkgconfigdir/*

%changelog
* Mon Jan 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.0.0-alt1.git20070113
- Inital release for ALTLinux
